Bug 439028 - Kernel hangs trying to detect PS/2 ports
Kernel hangs trying to detect PS/2 ports
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 12:08 EDT by jim tate
Modified: 2009-07-14 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jim tate 2008-03-26 12:08:47 EDT
Fedora 9 Beta Live KDE.
At bootup a Everex Cloudbook Laptop locks up at;

"input: Macintosh mouse button emulation as /devices/virtual/input/input0
PNP: No PS/2 controller found. Probing ports directly."


And there it hangs.
This Laptop has no problems of detecting mouse on Fedora 8 .
This laptop does not have a PS/2 controller, if you want a external mouse you
have to plug into USB.
Comment 1 Kevin Fenzi 2008-03-26 13:48:20 EDT
This looks like a xorg-x11-drv-mouse problem, not the mousepad editor. ;) 

Reassigning for you... 
Comment 2 Matěj Cepl 2008-03-27 12:27:01 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 jim tate 2008-03-27 13:05:52 EDT
How can I produce those two files , /etc/X11/xorg.conf /var/log/Xorg.*.log
I can only run from a F9-Beta-Live-Cd  and it locks up when getting to mouse
detection.
To get these two files, is there a way I can pass to kernel a command to allow
me get by this detection.
On this Laptop I can only run X in the Vesa mode, there are no Linux drivers
for a Via Tech. VGA CX700M2 chipset. 
Comment 4 jim tate 2008-03-27 13:10:00 EDT
I can send you copies of /etc/X11/xorg.conf /var/log/Xorg from a Fedora 8 install,
Will that help ??

Jim Tate
Comment 5 jim tate 2008-03-27 13:17:30 EDT
I know have Mephis Linux installed on this laptop, but I really want Fedora on
it, would the /etc/X11/xorg.conf /var/log/Xorg files from Mepis Linux help ?

Jim
Comment 6 Matěj Cepl 2008-03-27 13:41:09 EDT
No, thanks for the offer, but Mepis/Fedora 8 logs are of no use to us.

However, I was reminded, that actually these messages are probably not coming
from X, but from kernel itself.

Reassigning
Comment 7 Chuck Ebbert 2008-04-03 00:03:44 EDT
(In reply to comment #0)
> Fedora 9 Beta Live KDE.
> At bootup a Everex Cloudbook Laptop locks up at;
> 
> "input: Macintosh mouse button emulation as /devices/virtual/input/input0
> PNP: No PS/2 controller found. Probing ports directly."
> 
> 
> And there it hangs.
> This Laptop has no problems of detecting mouse on Fedora 8 .

What do the boot messages look like from a 2.6.24 kernel? Please attach them.
Comment 8 jim tate 2008-04-03 10:29:17 EDT
Will , I couldn't get into /var/log/messages because it was locking up and I was
using the the FC9-Beta-Live CD.
from what I could see from the boot process it was only trying to detect a PS/2
controller and then it just sat there locked up
Comment 9 jim tate 2008-04-03 10:32:59 EDT
I forgot to mention , this laptop, Everex CloudBook doesn't have a PS/2
controller it's all USB.
Comment 10 Bug Zapper 2008-05-14 02:53:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 19:52:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 11:43:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.